psocksxx::tcpnsockstream Class Reference

TCP/IP controller class. More...

`#include <tcpnsockstream.h>`

Inheritance diagram for psocksxx::tcpnsockstream:

## Public Member Functions

| tcpnsockstream () throw ( sockexception )
| constructor More...
virtual | ~tcpnsockstream () throw ()
| destructor
Public Member Functions inherited from psocksxx::nsockstream
| nsockstream (sockstreambuf::socket_type_t type, sockstreambuf::socket_protocol_t proto) throw ( sockexception )
| constructor More...
| nsockstream (sockstreambuf *ssb) throw ()
| constructor More...
virtual | ~nsockstream () throw ()
| destructor
void | connect (const nsockaddr *saddr) throw ( sockexception, socktimeoutexception )
| connect to a network address More...
void | connect (const char *node, unsigned int port) throw ( sockexception, socktimeoutexception )
| connect to a network address More...
void | bind (const nsockaddr *saddr, bool reuse_addr=false) throw ( sockexception )
| bind the stream to a network address More...
void | listen (int backlog=0) throw ( sockexception )
| make this stream passive and ready to accept connections More...
nsockstream * | accept () throw ( sockexception )
| accept a connection on a listening (passive) stream More...
Public Member Functions inherited from psocksxx::iosockstream
| iosockstream (sockstreambuf *ssb) throw ()
| constructor More...
virtual | ~iosockstream () throw ()
| destructor
bool | timedout () const throw ()
| get the timed-out status for this stream More...
Public Member Functions inherited from psocksxx::isockstream
| isockstream (sockstreambuf *ssb) throw ()
| constructor More...
virtual | ~isockstream () throw ()
| destructor
Public Member Functions inherited from psocksxx::iosocks
virtual | ~iosocks () throw ()
| destructor More...
bool | timedout () const throw ()
| get the timed-out status flag value More...
const timeval * | timeout (time_t sec, suseconds_t usec) throw ()
| set the timeout value for stream communications More...
void * | clear_timeout () throw ()
| clear the timeout value More...
Public Member Functions inherited from psocksxx::osockstream
| osockstream (sockstreambuf *ssb) throw ()
| constructor More...
virtual | ~osockstream () throw ()
| destructor

## Additional Inherited Members

Protected Member Functions inherited from psocksxx::iosocks
| iosocks () throw ()
| empty default constructor More...

## Detailed Description

TCP/IP controller class.

This acts as the controller for TCP/TP communication streams.

## Constructor & Destructor Documentation

psocksxx::tcpnsockstream::tcpnsockstream | ( |  | ) |
throw | ( | sockexception
| ) |  |

constructor

Exceptions

  psocksxx::sockexception | socket exception

Initialise a TCP/IP communication stream.